Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.idea
[Java] Interface IdeaSingleEntryLibraryDependency

    org.gradle.tooling.model.ExternalDependency
      org.gradle.tooling.model.idea.IdeaDependency
          org.gradle.tooling.model.idea.IdeaSingleEntryLibraryDependency
              org.gradle.api.artifacts.Dependency
                  org.gradle.tooling.model.Dependency

All Superinterfaces:
  ExternalDependency, IdeaDependency, Dependency, Dependency

    public interface IdeaSingleEntryLibraryDependency
    extends ExternalDependency, IdeaDependency

"Single-Entry Module Library" as IDEA calls it. For example a single Jar file with sources Jar.

Since:
  1.0-milestone-5

Method Summary
`File` | `getFile()` Returns the file for this dependency.
`File` | `getJavadoc()` Returns the Javadoc directory/archive for this dependency.
`File` | `getSource()` Returns the source directory/archive for this dependency.

Methods inherited from interface ExternalDependency
getFile, getGradleModelVersion, getJavadoc, getSource

Methods inherited from interface IdeaDependency
getExported, getScope

Method Detail

### getFile

    public File getFile()

  Returns the file for this dependency.
  Returns:
    The file. Never null.

### getJavadoc

    @Nullable
    public File getJavadoc()

  Returns the Javadoc directory/archive for this dependency.
  Returns:
    The Javadoc file. Returns null when the Javadoc is not available for this dependency.

### getSource

    @Nullable
    public File getSource()

  Returns the source directory/archive for this dependency.
  Returns:
    The source file. Returns null when the source is not available for this dependency.

Gradle API 1.1-rc-1